source: squid-ssl/trunk/fuentes/src/comm/Makefile.in @ 5496

Last change on this file since 5496 was 5496, checked in by Juanma, 23 months ago

Initial release

File size: 40.2 KB
RevLine 
[5495]1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17VPATH = @srcdir@
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/@PACKAGE@
74pkgincludedir = $(includedir)/@PACKAGE@
75pkglibdir = $(libdir)/@PACKAGE@
76pkglibexecdir = $(libexecdir)/@PACKAGE@
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = @build@
90host_triplet = @host@
91check_PROGRAMS =
92@ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
93subdir = src/comm
94ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
95am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
96        $(top_srcdir)/acinclude/init.m4 \
97        $(top_srcdir)/acinclude/squid-util.m4 \
98        $(top_srcdir)/acinclude/compiler-flags.m4 \
99        $(top_srcdir)/acinclude/os-deps.m4 \
100        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
101        $(top_srcdir)/acinclude/pkg.m4 \
102        $(top_srcdir)/acinclude/lib-checks.m4 \
103        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
104        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
105        $(top_srcdir)/helpers/basic_auth/modules.m4 \
106        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
107        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
108        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
120        $(top_srcdir)/helpers/digest_auth/modules.m4 \
121        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
122        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
123        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
124        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
125        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
128        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
129        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
132        $(top_srcdir)/helpers/log_daemon/modules.m4 \
133        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
134        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
135        $(top_srcdir)/helpers/external_acl/modules.m4 \
136        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
137        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
138        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
140        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
141        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
142        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
143        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
144        $(top_srcdir)/helpers/external_acl/session/required.m4 \
145        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
146        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
147        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
148        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
149        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
150        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
151        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
152        $(top_srcdir)/configure.ac
153am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
154        $(ACLOCAL_M4)
155DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
156mkinstalldirs = $(install_sh) -d
157CONFIG_HEADER = $(top_builddir)/include/autoconf.h
158CONFIG_CLEAN_FILES =
159CONFIG_CLEAN_VPATH_FILES =
160LTLIBRARIES = $(noinst_LTLIBRARIES)
161libcomm_la_LIBADD =
162am_libcomm_la_OBJECTS = AcceptLimiter.lo ConnOpener.lo Connection.lo \
163        IoCallback.lo ModDevPoll.lo ModEpoll.lo ModKqueue.lo \
164        ModPoll.lo ModSelect.lo ModSelectWin32.lo Read.lo \
165        TcpAcceptor.lo Write.lo
166libcomm_la_OBJECTS = $(am_libcomm_la_OBJECTS)
167AM_V_lt = $(am__v_lt_@AM_V@)
168am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
169am__v_lt_0 = --silent
170am__v_lt_1 =
171AM_V_P = $(am__v_P_@AM_V@)
172am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
173am__v_P_0 = false
174am__v_P_1 = :
175AM_V_GEN = $(am__v_GEN_@AM_V@)
176am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
177am__v_GEN_0 = @echo "  GEN     " $@;
178am__v_GEN_1 =
179AM_V_at = $(am__v_at_@AM_V@)
180am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
181am__v_at_0 = @
182am__v_at_1 =
183DEFAULT_INCLUDES =
184depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
185am__depfiles_maybe = depfiles
186am__mv = mv -f
187CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
188        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
189LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
190        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
191        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
192        $(AM_CXXFLAGS) $(CXXFLAGS)
193AM_V_CXX = $(am__v_CXX_@AM_V@)
194am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
195am__v_CXX_0 = @echo "  CXX     " $@;
196am__v_CXX_1 =
197CXXLD = $(CXX)
198CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
199        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
200        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
201AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
202am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
203am__v_CXXLD_0 = @echo "  CXXLD   " $@;
204am__v_CXXLD_1 =
205COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
206        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
207LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
208        $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
209        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
210        $(AM_CFLAGS) $(CFLAGS)
211AM_V_CC = $(am__v_CC_@AM_V@)
212am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
213am__v_CC_0 = @echo "  CC      " $@;
214am__v_CC_1 =
215CCLD = $(CC)
216LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
217        $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
218        $(AM_LDFLAGS) $(LDFLAGS) -o $@
219AM_V_CCLD = $(am__v_CCLD_@AM_V@)
220am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
221am__v_CCLD_0 = @echo "  CCLD    " $@;
222am__v_CCLD_1 =
223SOURCES = $(libcomm_la_SOURCES)
224DIST_SOURCES = $(libcomm_la_SOURCES)
225am__can_run_installinfo = \
226  case $$AM_UPDATE_INFO_DIR in \
227    n|no|NO) false;; \
228    *) (install-info --version) >/dev/null 2>&1;; \
229  esac
230am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
231# Read a list of newline-separated strings from the standard input,
232# and print each of them once, without duplicates.  Input order is
233# *not* preserved.
234am__uniquify_input = $(AWK) '\
235  BEGIN { nonempty = 0; } \
236  { items[$$0] = 1; nonempty = 1; } \
237  END { if (nonempty) { for (i in items) print i; }; } \
238'
239# Make sure the list of sources is unique.  This is necessary because,
240# e.g., the same source file might be shared among _SOURCES variables
241# for different programs/libraries.
242am__define_uniq_tagged_files = \
243  list='$(am__tagged_files)'; \
244  unique=`for i in $$list; do \
245    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
246  done | $(am__uniquify_input)`
247ETAGS = etags
248CTAGS = ctags
249am__tty_colors_dummy = \
250  mgn= red= grn= lgn= blu= brg= std=; \
251  am__color_tests=no
252am__tty_colors = { \
253  $(am__tty_colors_dummy); \
254  if test "X$(AM_COLOR_TESTS)" = Xno; then \
255    am__color_tests=no; \
256  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
257    am__color_tests=yes; \
258  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
259    am__color_tests=yes; \
260  fi; \
261  if test $$am__color_tests = yes; then \
262    red='[0;31m'; \
263    grn='[0;32m'; \
264    lgn='[1;32m'; \
265    blu='[1;34m'; \
266    mgn='[0;35m'; \
267    brg='[1m'; \
268    std='[m'; \
269  fi; \
270}
271am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
272am__vpath_adj = case $$p in \
273    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
274    *) f=$$p;; \
275  esac;
276am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
277am__install_max = 40
278am__nobase_strip_setup = \
279  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
280am__nobase_strip = \
281  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
282am__nobase_list = $(am__nobase_strip_setup); \
283  for p in $$list; do echo "$$p $$p"; done | \
284  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
285  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
286    if (++n[$$2] == $(am__install_max)) \
287      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
288    END { for (dir in files) print dir, files[dir] }'
289am__base_list = \
290  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
291  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
292am__uninstall_files_from_dir = { \
293  test -z "$$files" \
294    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
295    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
296         $(am__cd) "$$dir" && rm -f $$files; }; \
297  }
298am__recheck_rx = ^[     ]*:recheck:[    ]*
299am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
300am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
301# A command that, given a newline-separated list of test names on the
302# standard input, print the name of the tests that are to be re-run
303# upon "make recheck".
304am__list_recheck_tests = $(AWK) '{ \
305  recheck = 1; \
306  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
307    { \
308      if (rc < 0) \
309        { \
310          if ((getline line2 < ($$0 ".log")) < 0) \
311            recheck = 0; \
312          break; \
313        } \
314      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
315        { \
316          recheck = 0; \
317          break; \
318        } \
319      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
320        { \
321          break; \
322        } \
323    }; \
324  if (recheck) \
325    print $$0; \
326  close ($$0 ".trs"); \
327  close ($$0 ".log"); \
328}'
329# A command that, given a newline-separated list of test names on the
330# standard input, create the global log from their .trs and .log files.
331am__create_global_log = $(AWK) ' \
332function fatal(msg) \
333{ \
334  print "fatal: making $@: " msg | "cat >&2"; \
335  exit 1; \
336} \
337function rst_section(header) \
338{ \
339  print header; \
340  len = length(header); \
341  for (i = 1; i <= len; i = i + 1) \
342    printf "="; \
343  printf "\n\n"; \
344} \
345{ \
346  copy_in_global_log = 1; \
347  global_test_result = "RUN"; \
348  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
349    { \
350      if (rc < 0) \
351         fatal("failed to read from " $$0 ".trs"); \
352      if (line ~ /$(am__global_test_result_rx)/) \
353        { \
354          sub("$(am__global_test_result_rx)", "", line); \
355          sub("[        ]*$$", "", line); \
356          global_test_result = line; \
357        } \
358      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
359        copy_in_global_log = 0; \
360    }; \
361  if (copy_in_global_log) \
362    { \
363      rst_section(global_test_result ": " $$0); \
364      while ((rc = (getline line < ($$0 ".log"))) != 0) \
365      { \
366        if (rc < 0) \
367          fatal("failed to read from " $$0 ".log"); \
368        print line; \
369      }; \
370      printf "\n"; \
371    }; \
372  close ($$0 ".trs"); \
373  close ($$0 ".log"); \
374}'
375# Restructured Text title.
376am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
377# Solaris 10 'make', and several other traditional 'make' implementations,
378# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
379# by disabling -e (using the XSI extension "set +e") if it's set.
380am__sh_e_setup = case $$- in *e*) set +e;; esac
381# Default flags passed to test drivers.
382am__common_driver_flags = \
383  --color-tests "$$am__color_tests" \
384  --enable-hard-errors "$$am__enable_hard_errors" \
385  --expect-failure "$$am__expect_failure"
386# To be inserted before the command running the test.  Creates the
387# directory for the log if needed.  Stores in $dir the directory
388# containing $f, in $tst the test, in $log the log.  Executes the
389# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
390# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
391# will run the test scripts (or their associated LOG_COMPILER, if
392# thy have one).
393am__check_pre = \
394$(am__sh_e_setup);                                      \
395$(am__vpath_adj_setup) $(am__vpath_adj)                 \
396$(am__tty_colors);                                      \
397srcdir=$(srcdir); export srcdir;                        \
398case "$@" in                                            \
399  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
400    *) am__odir=.;;                                     \
401esac;                                                   \
402test "x$$am__odir" = x"." || test -d "$$am__odir"       \
403  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
404if test -f "./$$f"; then dir=./;                        \
405elif test -f "$$f"; then dir=;                          \
406else dir="$(srcdir)/"; fi;                              \
407tst=$$dir$$f; log='$@';                                 \
408if test -n '$(DISABLE_HARD_ERRORS)'; then               \
409  am__enable_hard_errors=no;                            \
410else                                                    \
411  am__enable_hard_errors=yes;                           \
412fi;                                                     \
413case " $(XFAIL_TESTS) " in                              \
414  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
415    am__expect_failure=yes;;                            \
416  *)                                                    \
417    am__expect_failure=no;;                             \
418esac;                                                   \
419$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
420# A shell command to get the names of the tests scripts with any registered
421# extension removed (i.e., equivalently, the names of the test logs, with
422# the '.log' extension removed).  The result is saved in the shell variable
423# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
424# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
425# since that might cause problem with VPATH rewrites for suffix-less tests.
426# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
427am__set_TESTS_bases = \
428  bases='$(TEST_LOGS)'; \
429  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
430  bases=`echo $$bases`
431RECHECK_LOGS = $(TEST_LOGS)
432AM_RECURSIVE_TARGETS = check recheck
433TEST_SUITE_LOG = test-suite.log
434TEST_EXTENSIONS = @EXEEXT@ .test
435LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
436LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
437am__set_b = \
438  case '$@' in \
439    */*) \
440      case '$*' in \
441        */*) b='$*';; \
442          *) b=`echo '$@' | sed 's/\.log$$//'`; \
443       esac;; \
444    *) \
445      b='$*';; \
446  esac
447am__test_logs1 = $(TESTS:=.log)
448am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
449TEST_LOGS = $(am__test_logs2:.test.log=.log)
450TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
451TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
452        $(TEST_LOG_FLAGS)
453am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
454        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am \
455        $(top_srcdir)/src/TestHeaders.am
456DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
457ACLOCAL = @ACLOCAL@
458ADAPTATION_LIBS = @ADAPTATION_LIBS@
459ALLOCA = @ALLOCA@
460AMTAR = @AMTAR@
461AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
462AR = @AR@
[5496]463ARGZ_H = @ARGZ_H@
[5495]464AR_R = @AR_R@
465AUTH_LIBS_TO_BUILD = @AUTH_LIBS_TO_BUILD@
466AUTH_MODULES = @AUTH_MODULES@
467AUTOCONF = @AUTOCONF@
468AUTOHEADER = @AUTOHEADER@
469AUTOMAKE = @AUTOMAKE@
470AWK = @AWK@
471BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
472BUILDCXX = @BUILDCXX@
473BUILDCXXFLAGS = @BUILDCXXFLAGS@
474BZR = @BZR@
475CACHE_EFFECTIVE_USER = @CACHE_EFFECTIVE_USER@
476CC = @CC@
477CCDEPMODE = @CCDEPMODE@
478CFLAGS = @CFLAGS@
479CGIEXT = @CGIEXT@
480CHMOD = @CHMOD@
481CPP = @CPP@
482CPPFLAGS = @CPPFLAGS@
483CPPUNITCONFIG = @CPPUNITCONFIG@
484CRYPTLIB = @CRYPTLIB@
485CXX = @CXX@
486CXXCPP = @CXXCPP@
487CXXDEPMODE = @CXXDEPMODE@
488CXXFLAGS = @CXXFLAGS@
489CYGPATH_W = @CYGPATH_W@
490DEFAULT_HOSTS = @DEFAULT_HOSTS@
491DEFAULT_LOG_DIR = @DEFAULT_LOG_DIR@
492DEFAULT_PID_FILE = @DEFAULT_PID_FILE@
493DEFAULT_SWAP_DIR = @DEFAULT_SWAP_DIR@
494DEFS = @DEFS@
495DEPDIR = @DEPDIR@
496DIGEST_AUTH_HELPERS = @DIGEST_AUTH_HELPERS@
497DISK_LIBS = @DISK_LIBS@
498DISK_LINKOBJS = @DISK_LINKOBJS@
499DISK_MODULES = @DISK_MODULES@
500DISK_OS_LIBS = @DISK_OS_LIBS@
501DISK_PROGRAMS = @DISK_PROGRAMS@
502DLLTOOL = @DLLTOOL@
503DSYMUTIL = @DSYMUTIL@
504DUMPBIN = @DUMPBIN@
505ECAP_LIBS = @ECAP_LIBS@
506ECHO_C = @ECHO_C@
507ECHO_N = @ECHO_N@
508ECHO_T = @ECHO_T@
509EGREP = @EGREP@
510EPOLL_LIBS = @EPOLL_LIBS@
511EUILIB = @EUILIB@
512EXEEXT = @EXEEXT@
513EXPATLIB = @EXPATLIB@
514EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
515EXT_LIBECAP_CFLAGS = @EXT_LIBECAP_CFLAGS@
516EXT_LIBECAP_LIBS = @EXT_LIBECAP_LIBS@
517FALSE = @FALSE@
518FGREP = @FGREP@
519GREP = @GREP@
520HAVE_CXX11 = @HAVE_CXX11@
521ICAP_LIBS = @ICAP_LIBS@
522INCLTDL = @INCLTDL@
523INSTALL = @INSTALL@
524INSTALL_DATA = @INSTALL_DATA@
525INSTALL_PROGRAM = @INSTALL_PROGRAM@
526INSTALL_SCRIPT = @INSTALL_SCRIPT@
527INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
528KRB5INCS = @KRB5INCS@
529KRB5LIBS = @KRB5LIBS@
530LBERLIB = @LBERLIB@
531LD = @LD@
532LDAPLIB = @LDAPLIB@
533LDFLAGS = @LDFLAGS@
534LIBADD_DL = @LIBADD_DL@
535LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
536LIBADD_DLOPEN = @LIBADD_DLOPEN@
537LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
538LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
539LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
540LIBLTDL = @LIBLTDL@
541LIBOBJS = @LIBOBJS@
542LIBOPENSSL_CFLAGS = @LIBOPENSSL_CFLAGS@
543LIBOPENSSL_LIBS = @LIBOPENSSL_LIBS@
544LIBS = @LIBS@
545LIBSASL = @LIBSASL@
546LIBTOOL = @LIBTOOL@
547LIB_DB = @LIB_DB@
548LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
549LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
550LINUXDOC = @LINUXDOC@
551LIPO = @LIPO@
552LN = @LN@
553LN_S = @LN_S@
554LOG_DAEMON_HELPERS = @LOG_DAEMON_HELPERS@
555LTDLDEPS = @LTDLDEPS@
556LTDLINCL = @LTDLINCL@
557LTDLOPEN = @LTDLOPEN@
558LTLIBOBJS = @LTLIBOBJS@
559LT_CONFIG_H = @LT_CONFIG_H@
560LT_DLLOADERS = @LT_DLLOADERS@
561LT_DLPREOPEN = @LT_DLPREOPEN@
562MAINT = @MAINT@
563MAKEINFO = @MAKEINFO@
564MANIFEST_TOOL = @MANIFEST_TOOL@
565MINGW_LIBS = @MINGW_LIBS@
566MKDIR = @MKDIR@
567MKDIR_P = @MKDIR_P@
568MV = @MV@
569NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
570NETTLELIB = @NETTLELIB@
571NM = @NM@
572NMEDIT = @NMEDIT@
573NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
574OBJDUMP = @OBJDUMP@
575OBJEXT = @OBJEXT@
576OTOOL = @OTOOL@
577OTOOL64 = @OTOOL64@
578PACKAGE = @PACKAGE@
579PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
580PACKAGE_NAME = @PACKAGE_NAME@
581PACKAGE_STRING = @PACKAGE_STRING@
582PACKAGE_TARNAME = @PACKAGE_TARNAME@
583PACKAGE_URL = @PACKAGE_URL@
584PACKAGE_VERSION = @PACKAGE_VERSION@
585PATH_SEPARATOR = @PATH_SEPARATOR@
586PERL = @PERL@
587PKG_CONFIG = @PKG_CONFIG@
588PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
589PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
590PO2HTML = @PO2HTML@
591PO2TEXT = @PO2TEXT@
592POD2MAN = @POD2MAN@
593RANLIB = @RANLIB@
594REGEXLIB = @REGEXLIB@
595REPL_LIBS = @REPL_LIBS@
596REPL_OBJS = @REPL_OBJS@
597REPL_POLICIES = @REPL_POLICIES@
598RM = @RM@
599SED = @SED@
600SET_MAKE = @SET_MAKE@
601SH = @SH@
602SHELL = @SHELL@
603SMBCLIENT = @SMBCLIENT@
604SNMPLIB = @SNMPLIB@
605SQUID_CFLAGS = @SQUID_CFLAGS@
606SQUID_CPPUNIT_INC = @SQUID_CPPUNIT_INC@
607SQUID_CPPUNIT_LA = @SQUID_CPPUNIT_LA@
608SQUID_CPPUNIT_LIBS = @SQUID_CPPUNIT_LIBS@
609SQUID_CXXFLAGS = @SQUID_CXXFLAGS@
610SSLLIB = @SSLLIB@
611STOREID_REWRITE_HELPERS = @STOREID_REWRITE_HELPERS@
612STORE_LIBS_TO_ADD = @STORE_LIBS_TO_ADD@
613STORE_LIBS_TO_BUILD = @STORE_LIBS_TO_BUILD@
614STORE_TESTS = @STORE_TESTS@
615STRIP = @STRIP@
616TR = @TR@
617TRUE = @TRUE@
618URL_REWRITE_HELPERS = @URL_REWRITE_HELPERS@
619VERSION = @VERSION@
620WBINFO = @WBINFO@
621WIN32_PSAPI = @WIN32_PSAPI@
622XMLLIB = @XMLLIB@
623XTRA_LIBS = @XTRA_LIBS@
624XTRA_OBJS = @XTRA_OBJS@
625abs_builddir = @abs_builddir@
626abs_srcdir = @abs_srcdir@
627abs_top_builddir = @abs_top_builddir@
628abs_top_srcdir = @abs_top_srcdir@
629ac_ct_AR = @ac_ct_AR@
630ac_ct_CC = @ac_ct_CC@
631ac_ct_CXX = @ac_ct_CXX@
632ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
633am__include = @am__include@
634am__leading_dot = @am__leading_dot@
635am__quote = @am__quote@
636am__tar = @am__tar@
637am__untar = @am__untar@
638bindir = @bindir@
639build = @build@
640build_alias = @build_alias@
641build_cpu = @build_cpu@
642build_os = @build_os@
643build_vendor = @build_vendor@
644builddir = @builddir@
645datadir = @datadir@
646datarootdir = @datarootdir@
647docdir = @docdir@
648dvidir = @dvidir@
649exec_prefix = @exec_prefix@
650host = @host@
651host_alias = @host_alias@
652host_cpu = @host_cpu@
653host_os = @host_os@
654host_vendor = @host_vendor@
655htmldir = @htmldir@
656includedir = @includedir@
657infodir = @infodir@
658install_sh = @install_sh@
659krb5_config = @krb5_config@
660libdir = @libdir@
661libexecdir = @libexecdir@
662localedir = @localedir@
663localstatedir = @localstatedir@
664ltdl_LIBOBJS = @ltdl_LIBOBJS@
665ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
666mandir = @mandir@
667mkdir_p = @mkdir_p@
668oldincludedir = @oldincludedir@
669pdfdir = @pdfdir@
670prefix = @prefix@
671program_transform_name = @program_transform_name@
672psdir = @psdir@
673runstatedir = @runstatedir@
674sbindir = @sbindir@
675sharedstatedir = @sharedstatedir@
676srcdir = @srcdir@
677subdirs = @subdirs@
678sys_symbol_underscore = @sys_symbol_underscore@
679sysconfdir = @sysconfdir@
680target_alias = @target_alias@
681top_build_prefix = @top_build_prefix@
682top_builddir = @top_builddir@
683top_srcdir = @top_srcdir@
684AM_CFLAGS = $(SQUID_CFLAGS)
685AM_CXXFLAGS = $(SQUID_CXXFLAGS)
686CLEANFILES = testHeaders
687TESTS = testHeaders
688AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
689        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
690        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
691        $(am__append_1)
692@ENABLE_XPROF_STATS_FALSE@LIBPROFILER =
693@ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
694COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
695subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
696noinst_LTLIBRARIES = libcomm.la
697libcomm_la_SOURCES = \
698        AcceptLimiter.cc \
699        AcceptLimiter.h \
700        ConnOpener.cc \
701        ConnOpener.h \
702        Connection.cc \
703        Connection.h \
704        Flag.h \
705        forward.h \
706        IoCallback.cc \
707        IoCallback.h \
708        Loops.h \
709        ModDevPoll.cc \
710        ModEpoll.cc \
711        ModKqueue.cc \
712        ModPoll.cc \
713        ModSelect.cc \
714        ModSelectWin32.cc \
715        Read.cc \
716        Read.h \
717        TcpAcceptor.cc \
718        TcpAcceptor.h \
719        UdpOpenDialer.h \
720        Write.cc \
721        Write.h \
722        \
723        comm_internal.h
724
725all: all-am
726
727.SUFFIXES:
728.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
729$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(top_srcdir)/src/TestHeaders.am $(am__configure_deps)
730        @for dep in $?; do \
731          case '$(am__configure_deps)' in \
732            *$$dep*) \
733              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
734                && { if test -f $@; then exit 0; else break; fi; }; \
735              exit 1;; \
736          esac; \
737        done; \
[5496]738        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign src/comm/Makefile'; \
[5495]739        $(am__cd) $(top_srcdir) && \
[5496]740          $(AUTOMAKE) --foreign src/comm/Makefile
[5495]741Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
742        @case '$?' in \
743          *config.status*) \
744            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
745          *) \
746            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
747            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
748        esac;
749$(top_srcdir)/src/Common.am $(top_srcdir)/src/TestHeaders.am $(am__empty):
750
751$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
752        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
753
754$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
755        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
756$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
757        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
758$(am__aclocal_m4_deps):
759
760clean-noinstLTLIBRARIES:
761        -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
762        @list='$(noinst_LTLIBRARIES)'; \
763        locs=`for p in $$list; do echo $$p; done | \
764              sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
765              sort -u`; \
766        test -z "$$locs" || { \
767          echo rm -f $${locs}; \
768          rm -f $${locs}; \
769        }
770
771libcomm.la: $(libcomm_la_OBJECTS) $(libcomm_la_DEPENDENCIES) $(EXTRA_libcomm_la_DEPENDENCIES)
772        $(AM_V_CXXLD)$(CXXLINK)  $(libcomm_la_OBJECTS) $(libcomm_la_LIBADD) $(LIBS)
773
774clean-checkPROGRAMS:
775        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
776        echo " rm -f" $$list; \
777        rm -f $$list || exit $$?; \
778        test -n "$(EXEEXT)" || exit 0; \
779        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
780        echo " rm -f" $$list; \
781        rm -f $$list
782
783mostlyclean-compile:
784        -rm -f *.$(OBJEXT)
785
786distclean-compile:
787        -rm -f *.tab.c
788
789@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/AcceptLimiter.Plo@am__quote@
790@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ConnOpener.Plo@am__quote@
791@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Connection.Plo@am__quote@
792@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/IoCallback.Plo@am__quote@
793@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ModDevPoll.Plo@am__quote@
794@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ModEpoll.Plo@am__quote@
795@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ModKqueue.Plo@am__quote@
796@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ModPoll.Plo@am__quote@
797@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ModSelect.Plo@am__quote@
798@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ModSelectWin32.Plo@am__quote@
799@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Read.Plo@am__quote@
800@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/TcpAcceptor.Plo@am__quote@
801@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Write.Plo@am__quote@
802
803.cc.o:
804@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
805@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
806@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
807@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
808@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
809@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
810
811.cc.obj:
812@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
813@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
814@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
815@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
816@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
817@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
818
819.cc.lo:
820@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
821@am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
822@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
823@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
824@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
825@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
826
827mostlyclean-libtool:
828        -rm -f *.lo
829
830clean-libtool:
831        -rm -rf .libs _libs
832
833ID: $(am__tagged_files)
834        $(am__define_uniq_tagged_files); mkid -fID $$unique
835tags: tags-am
836TAGS: tags
837
838tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
839        set x; \
840        here=`pwd`; \
841        $(am__define_uniq_tagged_files); \
842        shift; \
843        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
844          test -n "$$unique" || unique=$$empty_fix; \
845          if test $$# -gt 0; then \
846            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
847              "$$@" $$unique; \
848          else \
849            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
850              $$unique; \
851          fi; \
852        fi
853ctags: ctags-am
854
855CTAGS: ctags
856ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
857        $(am__define_uniq_tagged_files); \
858        test -z "$(CTAGS_ARGS)$$unique" \
859          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
860             $$unique
861
862GTAGS:
863        here=`$(am__cd) $(top_builddir) && pwd` \
864          && $(am__cd) $(top_srcdir) \
865          && gtags -i $(GTAGS_ARGS) "$$here"
866cscopelist: cscopelist-am
867
868cscopelist-am: $(am__tagged_files)
869        list='$(am__tagged_files)'; \
870        case "$(srcdir)" in \
871          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
872          *) sdir=$(subdir)/$(srcdir) ;; \
873        esac; \
874        for i in $$list; do \
875          if test -f "$$i"; then \
876            echo "$(subdir)/$$i"; \
877          else \
878            echo "$$sdir/$$i"; \
879          fi; \
880        done >> $(top_builddir)/cscope.files
881
882distclean-tags:
883        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
884
885# Recover from deleted '.trs' file; this should ensure that
886# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
887# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
888# to avoid problems with "make -n".
889.log.trs:
890        rm -f $< $@
891        $(MAKE) $(AM_MAKEFLAGS) $<
892
893# Leading 'am--fnord' is there to ensure the list of targets does not
894# expand to empty, as could happen e.g. with make check TESTS=''.
895am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
896am--force-recheck:
897        @:
898
899$(TEST_SUITE_LOG): $(TEST_LOGS)
900        @$(am__set_TESTS_bases); \
901        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
902        redo_bases=`for i in $$bases; do \
903                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
904                    done`; \
905        if test -n "$$redo_bases"; then \
906          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
907          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
908          if $(am__make_dryrun); then :; else \
909            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
910          fi; \
911        fi; \
912        if test -n "$$am__remaking_logs"; then \
913          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
914               "recursion detected" >&2; \
915        elif test -n "$$redo_logs"; then \
916          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
917        fi; \
918        if $(am__make_dryrun); then :; else \
919          st=0;  \
920          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
921          for i in $$redo_bases; do \
922            test -f $$i.trs && test -r $$i.trs \
923              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
924            test -f $$i.log && test -r $$i.log \
925              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
926          done; \
927          test $$st -eq 0 || exit 1; \
928        fi
929        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
930        ws='[   ]'; \
931        results=`for b in $$bases; do echo $$b.trs; done`; \
932        test -n "$$results" || results=/dev/null; \
933        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
934        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
935        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
936        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
937        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
938        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
939        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
940        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
941          success=true; \
942        else \
943          success=false; \
944        fi; \
945        br='==================='; br=$$br$$br$$br$$br; \
946        result_count () \
947        { \
948            if test x"$$1" = x"--maybe-color"; then \
949              maybe_colorize=yes; \
950            elif test x"$$1" = x"--no-color"; then \
951              maybe_colorize=no; \
952            else \
953              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
954            fi; \
955            shift; \
956            desc=$$1 count=$$2; \
957            if test $$maybe_colorize = yes && test $$count -gt 0; then \
958              color_start=$$3 color_end=$$std; \
959            else \
960              color_start= color_end=; \
961            fi; \
962            echo "$${color_start}# $$desc $$count$${color_end}"; \
963        }; \
964        create_testsuite_report () \
965        { \
966          result_count $$1 "TOTAL:" $$all   "$$brg"; \
967          result_count $$1 "PASS: " $$pass  "$$grn"; \
968          result_count $$1 "SKIP: " $$skip  "$$blu"; \
969          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
970          result_count $$1 "FAIL: " $$fail  "$$red"; \
971          result_count $$1 "XPASS:" $$xpass "$$red"; \
972          result_count $$1 "ERROR:" $$error "$$mgn"; \
973        }; \
974        {                                                               \
975          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
976            $(am__rst_title);                                           \
977          create_testsuite_report --no-color;                           \
978          echo;                                                         \
979          echo ".. contents:: :depth: 2";                               \
980          echo;                                                         \
981          for b in $$bases; do echo $$b; done                           \
982            | $(am__create_global_log);                                 \
983        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
984        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
985        if $$success; then                                              \
986          col="$$grn";                                                  \
987         else                                                           \
988          col="$$red";                                                  \
989          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
990        fi;                                                             \
991        echo "$${col}$$br$${std}";                                      \
992        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
993        echo "$${col}$$br$${std}";                                      \
994        create_testsuite_report --maybe-color;                          \
995        echo "$$col$$br$$std";                                          \
996        if $$success; then :; else                                      \
997          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
998          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
999            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1000          fi;                                                           \
1001          echo "$$col$$br$$std";                                        \
1002        fi;                                                             \
1003        $$success || exit 1
1004
1005check-TESTS:
1006        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1007        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1008        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1009        @set +e; $(am__set_TESTS_bases); \
1010        log_list=`for i in $$bases; do echo $$i.log; done`; \
1011        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1012        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1013        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1014        exit $$?;
1015recheck: all $(check_PROGRAMS)
1016        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1017        @set +e; $(am__set_TESTS_bases); \
1018        bases=`for i in $$bases; do echo $$i; done \
1019                 | $(am__list_recheck_tests)` || exit 1; \
1020        log_list=`for i in $$bases; do echo $$i.log; done`; \
1021        log_list=`echo $$log_list`; \
1022        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1023                am__force_recheck=am--force-recheck \
1024                TEST_LOGS="$$log_list"; \
1025        exit $$?
1026testHeaders.log: testHeaders
1027        @p='testHeaders'; \
1028        b='testHeaders'; \
1029        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1030        --log-file $$b.log --trs-file $$b.trs \
1031        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1032        "$$tst" $(AM_TESTS_FD_REDIRECT)
1033.test.log:
1034        @p='$<'; \
1035        $(am__set_b); \
1036        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1037        --log-file $$b.log --trs-file $$b.trs \
1038        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1039        "$$tst" $(AM_TESTS_FD_REDIRECT)
1040@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1041@am__EXEEXT_TRUE@       @p='$<'; \
1042@am__EXEEXT_TRUE@       $(am__set_b); \
1043@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1044@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
1045@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1046@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
1047
1048distdir: $(DISTFILES)
1049        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1050        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1051        list='$(DISTFILES)'; \
1052          dist_files=`for file in $$list; do echo $$file; done | \
1053          sed -e "s|^$$srcdirstrip/||;t" \
1054              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1055        case $$dist_files in \
1056          */*) $(MKDIR_P) `echo "$$dist_files" | \
1057                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1058                           sort -u` ;; \
1059        esac; \
1060        for file in $$dist_files; do \
1061          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1062          if test -d $$d/$$file; then \
1063            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1064            if test -d "$(distdir)/$$file"; then \
1065              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1066            fi; \
1067            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1068              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1069              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1070            fi; \
1071            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1072          else \
1073            test -f "$(distdir)/$$file" \
1074            || cp -p $$d/$$file "$(distdir)/$$file" \
1075            || exit 1; \
1076          fi; \
1077        done
1078check-am: all-am
1079        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1080        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1081check: check-am
1082all-am: Makefile $(LTLIBRARIES)
1083installdirs:
1084install: install-am
1085install-exec: install-exec-am
1086install-data: install-data-am
1087uninstall: uninstall-am
1088
1089install-am: all-am
1090        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1091
1092installcheck: installcheck-am
1093install-strip:
1094        if test -z '$(STRIP)'; then \
1095          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1096            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1097              install; \
1098        else \
1099          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1100            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1101            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1102        fi
1103mostlyclean-generic:
1104        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1105        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1106        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1107
1108clean-generic:
1109        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1110
1111distclean-generic:
1112        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1113        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1114
1115maintainer-clean-generic:
1116        @echo "This command is intended for maintainers to use"
1117        @echo "it deletes files that may require special tools to rebuild."
1118clean: clean-am
1119
1120clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1121        clean-noinstLTLIBRARIES mostlyclean-am
1122
1123distclean: distclean-am
1124        -rm -rf ./$(DEPDIR)
1125        -rm -f Makefile
1126distclean-am: clean-am distclean-compile distclean-generic \
1127        distclean-tags
1128
1129dvi: dvi-am
1130
1131dvi-am:
1132
1133html: html-am
1134
1135html-am:
1136
1137info: info-am
1138
1139info-am:
1140
1141install-data-am:
1142
1143install-dvi: install-dvi-am
1144
1145install-dvi-am:
1146
1147install-exec-am:
1148
1149install-html: install-html-am
1150
1151install-html-am:
1152
1153install-info: install-info-am
1154
1155install-info-am:
1156
1157install-man:
1158
1159install-pdf: install-pdf-am
1160
1161install-pdf-am:
1162
1163install-ps: install-ps-am
1164
1165install-ps-am:
1166
1167installcheck-am:
1168
1169maintainer-clean: maintainer-clean-am
1170        -rm -rf ./$(DEPDIR)
1171        -rm -f Makefile
1172maintainer-clean-am: distclean-am maintainer-clean-generic
1173
1174mostlyclean: mostlyclean-am
1175
1176mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1177        mostlyclean-libtool
1178
1179pdf: pdf-am
1180
1181pdf-am:
1182
1183ps: ps-am
1184
1185ps-am:
1186
1187uninstall-am:
1188
1189.MAKE: check-am install-am install-strip
1190
1191.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1192        clean-checkPROGRAMS clean-generic clean-libtool \
1193        clean-noinstLTLIBRARIES cscopelist-am ctags ctags-am distclean \
1194        distclean-compile distclean-generic distclean-libtool \
1195        distclean-tags distdir dvi dvi-am html html-am info info-am \
1196        install install-am install-data install-data-am install-dvi \
1197        install-dvi-am install-exec install-exec-am install-html \
1198        install-html-am install-info install-info-am install-man \
1199        install-pdf install-pdf-am install-ps install-ps-am \
1200        install-strip installcheck installcheck-am installdirs \
1201        maintainer-clean maintainer-clean-generic mostlyclean \
1202        mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1203        pdf pdf-am ps ps-am recheck tags tags-am uninstall \
1204        uninstall-am
1205
1206.PRECIOUS: Makefile
1207
1208
1209$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1210
1211testHeaders: $(srcdir)/*.h
1212        $(SHELL) $(top_srcdir)/test-suite/testheaders.sh "$(CXXCOMPILE)" $^ || exit 1
1213
1214.PHONY: testHeaders
1215
1216# Tell versions [3.59,3.63) of GNU make to not export all variables.
1217# Otherwise a system limit (for SysV at least) may be exceeded.
1218.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.